Page MenuHomePhabricator

Copy and Paste problems.
Closed, ResolvedPublic

Description

CnP between e apps works (both weston and E)
CnP between e and GTK apps doesn't work (both weston and E)
CnP between gtk apps works on weston is borked on E.

latest gtk from arch

Related Objects

ApB created this task.Apr 14 2016, 4:01 AM
ApB reopened this task as Open.Apr 22 2016, 2:45 AM

Not fixed. And i don't know what happened but trying to paste from gtk to efl kills the efl app. Also double clicking to select text crashes the app.

So:
CNP E to E > Boked as hell
CNP GTK to GTK > Works
CNP GTK to E > Borked also.

Tested on E.

Similar stuff happen on weston also.

zmike added a comment.Apr 22 2016, 8:28 AM

I'm not admitting to anything, but it's possible that I considered the clipboard code so bulletproof that I didn't test it again after doing the dnd upgrade.

ApB reopened this task as Open.Apr 23 2016, 2:13 AM

Close but no doughnut.

CNP from E to GTK doesn't work. (terminology> type something> double click to select copy and paste in a GTK app)

GTK to E works.

ApB added a comment.Apr 23 2016, 3:34 AM

Also tested Qt (which still is a shitshow on WL btw).

CNP from Qt to E works.

CNP from E to Qt doesn't.

zmike added a comment.Apr 23 2016, 7:46 AM

I can't run anything Qt-based here on Wayland since the package versions are too old, but GTK<->E works fine.

ApB added a comment.Apr 23 2016, 7:54 AM

Not here. E apps to both GTK and Qt paste nothing. Since it works for you it might be a 32bit bug.

Testing on 32-bit...

terminology -> gedit success
gedit -> terminology fail (nothing shows)

However, exactly the same results on my 64-bit machine. :)

weston-terminal is capable of receiving the paste on both.

I see no crashes though...

ApB added a comment.May 11 2016, 3:21 AM

The only thing that doesn't work after a brief test is Qt to GTK but that also happens in weston. So probably a GTK or Qt issue.